#loop
execute as @e[type=zombie,tag=chaos] at @s at @s unless entity @s[scores={mob.au=2}] unless entity @e[tag=aj.chaos.root,distance=..0.01,limit=1] run scoreboard players set @s mob.au 1
execute as @e[type=zombie,tag=chaos,scores={mob.au=1}] at @s unless entity @s[scores={mob.au=2}] at @s if entity @e[tag=aj.chaos.root,distance=..0.01,limit=1] run scoreboard players set @s mob.au 0


execute as @e[type=zombie,tag=chaos,scores={mob.au=1}] at @s unless entity @s[scores={mob.au=2}] run function sette:teleport/chaos


execute as @e[type=zombie,tag=chaos,scores={mob.au=1},tag=!no_walk] at @s unless entity @s[scores={mob.au=2}] as @e[tag=aj.chaos.root,limit=1,sort=nearest] if entity @s[tag=!aj.chaos.anim.walking] run function chaos:animations/walking/play
execute as @e[type=zombie,tag=chaos,scores={mob.au=0}] at @s unless entity @s[scores={mob.au=2}] as @e[tag=aj.chaos.root,limit=1,sort=nearest] if entity @s[tag=aj.chaos.anim.walking] run function chaos:reset


#kill marker when zombie dies
execute as @e[type=marker,tag=aj.chaos.root] at @s run function sette:death/chaos

#sounds cuz aj is broken
execute as @e[type=marker,tag=aj.chaos.root,tag=aj.chaos.anim.walking] at @s if score @s aj.frame matches 1 run playsound sounds:static master @a[distance=..6] ~ ~ ~ 0.5 1



#the eating blood animation
execute as @e[type=zombie,tag=chaos] at @s unless score spirits vars matches 3.. if score safeMode vars matches 0 if entity @e[type=item,nbt={Item:{id:"minecraft:spider_eye"}},x=-43,y=113,z=-7,dx=10,dy=2,dz=10] unless score @s blood.cooldown matches 1.. run function sette:mechanic/see_blood
execute as @e[type=zombie,tag=chaos] at @s unless score spirits vars matches 3.. if score safeMode vars matches 1 if entity @e[type=item,nbt={Item:{id:"minecraft:bone"}},x=-43,y=113,z=-7,dx=10,dy=2,dz=10] unless score @s blood.cooldown matches 1.. run function sette:mechanic/see_blood
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 1.. run scoreboard players remove @s blood.cooldown 1

#replace blood with diamond
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 110 if score safeMode vars matches 0 at @s at @e[type=item,nbt={Item:{id:"minecraft:spider_eye"}},distance=..5,limit=1,sort=nearest] run summon item ~ ~ ~ {Item:{id:"minecraft:diamond",Count:1b,tag:{display:{Name:'{"text":"Spirit Orb","color":"aqua","italic":false}',Lore:['{"text":"Gives life to inanimate materials.","color":"gray"}']},Enchantments:[{}]}}}
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 110 if score safeMode vars matches 0 at @s as @e[type=item,nbt={Item:{id:"minecraft:spider_eye"}},distance=..5,limit=1,sort=nearest] run kill @s
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 110 if score safeMode vars matches 1 at @s at @e[type=item,nbt={Item:{id:"minecraft:bone"}},distance=..5,limit=1,sort=nearest] run summon item ~ ~ ~ {Item:{id:"minecraft:diamond",Count:1b,tag:{display:{Name:'{"text":"Spirit Orb","color":"aqua","italic":false}',Lore:['{"text":"Gives life to inanimate materials.","color":"gray"}']},Enchantments:[{}]}}}
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 110 if score safeMode vars matches 1 at @s as @e[type=item,nbt={Item:{id:"minecraft:bone"}},distance=..5,limit=1,sort=nearest] run kill @s

#No AI
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 199 run data merge entity @s {NoAI:1b}
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 80 run data merge entity @s {NoAI:0b}
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 80 run scoreboard players set @s mob.au 1
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 80 as @e[type=marker,tag=aj.chaos.root,limit=1,sort=nearest] run function chaos:reset

#blood eating animation
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 199 as @e[type=marker,tag=aj.chaos.root,limit=1,sort=nearest] run function chaos:reset
execute as @e[type=zombie,tag=chaos] if score @s blood.cooldown matches 199 as @e[type=marker,tag=aj.chaos.root,limit=1,sort=nearest] run function chaos:animations/eat/play





